// Wireless Charger Base

// Base dimensions
base_w = 62;
base_l = 92;
base_h = 5;

// coil
coil_d = 50.25;
coil_h = 4;

// PCB
pcb_w = 33.25;
pcb_l = 30.25;
pcb_h = 4;

// USB
usb_w = 8;
usb_l = 6;
usb_h = 4;

difference() {
    cube([base_w, base_l, base_h]);
    
    // Coil
    translate([base_w/2, (base_l - coil_d/2 - 5), (base_h - coil_h)]) {
        cylinder(d = coil_d, h = coil_h + 0.1, $fn=120);
    }
    
    // Wiring
    translate([(base_w - pcb_w)/2, pcb_l + 2 - 0.1, (base_h - pcb_h)]) {
        cube([10, 11, pcb_h+0.1]);
    }
    
    // PCB
    translate([(base_w - pcb_w)/2, 2, (base_h - pcb_h)]) {
        cube([pcb_w, pcb_l, pcb_h+0.1]);
    }
    
    // USB
    translate([(base_w - usb_w)/2, -0.1, (base_h - usb_h)]) {
        cube([usb_w, usb_l+0.1, usb_h + 0.1]);
    }
}